## org.apache.commons.collections
Class EnumerationUtils

    java.lang.Object
      org.apache.commons.collections.EnumerationUtils

    public class EnumerationUtils

extends java.lang.Object

Provides utility methods for `Enumeration` instances.

Since:
  Commons Collections 3.0
Version:
  $Id: EnumerationUtils.java 646777 2008-04-10 12:33:15Z niallp $
Author:
  Gary Gregory

Constructor Summary
`EnumerationUtils()` EnumerationUtils is not normally instantiated.

Method Summary
`static java.util.List` `toList(java.util.Enumeration enumeration)` Creates a list based on an enumeration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnumerationUtils

    public EnumerationUtils()

  EnumerationUtils is not normally instantiated.

Method Detail

### toList

    public static java.util.List toList(java.util.Enumeration enumeration)

  Creates a list based on an enumeration.

  As the enumeration is traversed, an ArrayList of its values is created. The new list is returned.

  Parameters:
    `enumeration` - the enumeration to traverse, which should not be `null`.
  Throws:
    `java.lang.NullPointerException` - if the enumeration parameter is `null`.

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.